- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKTable::Cell Struct Reference

## Public Member Functions
| Cell ()

## Public Attributes
IWORKOutputElements | m_content
unsigned | m_columnSpan
unsigned | m_rowSpan
bool | m_covered
boost::optional< IWORKFormula > | m_formula
IWORKStylePtr_t | m_style
IWORKCellType | m_type
boost::optional< std::string > | m_value

## Constructor & Destructor Documentation

libetonyek::IWORKTable::Cell::Cell | ( |  | ) |

## Member Data Documentation

unsigned libetonyek::IWORKTable::Cell::m_columnSpan

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKTable::insertCell().

IWORKOutputElements libetonyek::IWORKTable::Cell::m_content

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKTable::insertCell().

bool libetonyek::IWORKTable::Cell::m_covered

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKTable::insertCoveredCell().

boost::optional<IWORKFormula> libetonyek::IWORKTable::Cell::m_formula

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKTable::insertCell().

unsigned libetonyek::IWORKTable::Cell::m_rowSpan

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKTable::insertCell().

IWORKStylePtr_t libetonyek::IWORKTable::Cell::m_style

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKTable::insertCell().

IWORKCellType libetonyek::IWORKTable::Cell::m_type

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKTable::insertCell().

boost::optional<std::string> libetonyek::IWORKTable::Cell::m_value

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKTable::insertCell().

The documentation for this struct was generated from the following files:

- IWORKTable.h
- IWORKTable.cpp